$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.3/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.3/cloudflared-windows-amd64.exe'

  checksum      = 'f9602dbee82b03fc81f45d750b5df7c0045514d214a497b52c3df83565ec0752'
  checksumType  = 'sha256'
  checksum64    = '7924890ed88f893ee8cc09dd0b087dcd553c6e38d3bd6de684dc9c9d39b19ea7'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
